#!/bin/sh
# Runs the krazy2 codechecker (verbose) on all files and saves the result at apidoc/codecheck.html
SCRIPTDIR=`pwd`


echo "Calling krazy2all"
export PATH=$PATH:/usr/local/Krazy2/bin
cd ${SCRIPTDIR}/../
# The value tipsandthis could be added in the next line to the --extra parameter!
# The paramter "--export html" doesn't work because of a bug in krazy. Use it again in later version!
krazy2all --verbose > ${SCRIPTDIR}/../apidoc/codecheck.txt
echo
echo "Done calling krazy2all"