#!/bin/sh
# Removes the files in "build" and other files unnecessary for a release and all files
# that terminate on '~'
SCRIPTDIR=`pwd`


ROOTDIR="${SCRIPTDIR}/../"


echo "Removing build files"
rm -f -r ${ROOTDIR}/build/*
rm -f -r ${ROOTDIR}/po/poreviewtool-build/*
rm -f ${ROOTDIR}/Doxyfile
rm -f ${ROOTDIR}/kstreamripper.kdevelop.pcs
cd ${ROOTDIR}
find . -name '*~' > ${ROOTDIR}/files.list
find . -name '*.old' >> ${ROOTDIR}/files.list
find . -name '*.save' >> ${ROOTDIR}/files.list
find . -name '*.tmp' >> ${ROOTDIR}/files.list
xargs --arg-file=${ROOTDIR}/files.list rm -f
rm -f ${ROOTDIR}/files.list
echo "Done removing build files"