# norootforbuild

%define programname kstreamripper
# The value of the following "name" tag will be set by set-version.sh to "kstreamripper-devel-doc" for
# stable releases and to "kstreamripper-unstable-devel-doc" for unstable releases.
Name:                         kstreamripper-devel-doc
Version:                      0.3.9 # This line will be corrected with the actual version number...
%if 0%{?mandriva_version}
Release:                      %mkrel 0
%else
Release:                      0
%endif
# see http://fedoraproject.org/wiki/Packaging/LicensingGuidelines for details
# see http://fedoraproject.org/wiki/Licensing for details
# see http://en.opensuse.org/SUSE_Package_Conventions/RPM_Style#1.6._License_Tag for details
License:                      GPLv2, v3
URL:                          http://kstreamripper.sourceforge.net/
Source0:                      %{name}-%{version}.tar.bz2
BuildRoot:                    %{_tmppath}/%{name}-%{version}-build
Summary:                      The class documentation of KStreamRipper
Summary(de.UTF-8):            Die API-Dokumentation von KStreamRipper
Summary(cz.UTF-8):            Dokumentace tříd programu KStreamRipper
Summary(pt_BR.UTF-8):         A documentação da classe de KStreamRipper
%if 0%{?mandriva_version}
# see http://wiki.mandriva.com/en/Development/Packaging/Groups for details
Group:                        Development/Other
%else
# see http://en.opensuse.org/SUSE_Package_Conventions/RPM_Groups for details
Group:                        Documentation/HTML
%endif
BuildArch:                    noarch
%description
#<description> Start of description that is extracted for i18n
This package installs the class some HTML documentation of KStreamRipper:
* A central index page
* The class documentation
* The doxyfile used to generate the class documentation
* The results of Krazy2 codecheck tool
#</description>



%prep
# q means quiet. n sets the directory:
%setup -q -n kstreamripper



%build



%install
# -p creates missing parent directories and prevents an error if the the directory exists yet.
mkdir -p %{buildroot}/%{_docdir}/%{programname}
cp -r apidoc/* %{buildroot}/%{_docdir}/%{programname}



%clean



%files
# leave file permissions "as is", but change owner and group to "root"...
%defattr(-,root,root)
%dir %{_docdir}/%{programname}
%doc %{_docdir}/%{programname}/*



%changelog
* Sat May 08 2010 0.7.1 Lukas Sommer
- own spec file for devel-doc packages
