#ifndef VERSION_H
#define VERSION_H

/** This macro defines a string which contents the version number. */
#define VERSION "0.5.41.unstable"

/** This macro is defined by cmake only if we compile against libproxy. */
#cmakedefine LIBPROXY_FOUND

/** This macro is defined if #ColumnResizer is available. */
#cmakedefine COLUMNRESIZER

/** This macro indicates that we are producing an unstable release. */
#define UNSTABLE

/** This macro indicates that
  * #myMessageOutput() should be included in the binary. */
#define CUSTOMMESSAGEHANDLER

#endif
